# frozen_string_literal: true

class Checklist < ApplicationRecord
  has_many :checklist_entries, -> { order(position: :asc) }, dependent: :destroy, inverse_of: :checklist
  has_many :checks, through: :checklist_entries

  has_rich_text :description_html

  accepts_nested_attributes_for :checklist_entries, reject_if: :all_blank, allow_destroy: true

  delegate :empty?, to: :checklist_entries
end
